
export const QINIU_URL = 'https://qiniu.bms16.com/';
export const emailRegex = /^[a-zA-Z0-9._%+-]+@[a-zA-Z0-9.-]+\.[a-zA-Z]{2,}$/
export const defaultHeadImg = `${QINIU_URL}/FpzmRTePsa2QSxemAbc-xWdzSsn1`
import i18n from '../locale/index.js';
// 租赁周期
export const LEASE_TYPE = {
	'day': 1, // 日租
	'month': 2, // 月租
	'year': 3, // 年租
	'hour': 4, // 时租
	'minute': 5, // 分租
	'week': 6, // 周租
	'quarter': 7, // 季租
	'buy': 100, // 购买
}
export const LEASE_TYPE_ARR = [
	{ label: i18n.t('日租'), value: LEASE_TYPE.day, type: 'day', unit: i18n.t('天') ,sort:3},
	{ label: i18n.t('月租'), value: LEASE_TYPE.month, type: 'month', unit: i18n.t('月') ,sort:5},
	{ label: i18n.t('年租'), value: LEASE_TYPE.year, type: 'year', unit: i18n.t('年') ,sort:7},
	{ label: i18n.t('时租'), value: LEASE_TYPE.hour, type: 'hour', unit: i18n.t('小时'),sort:2 },
	{ label: i18n.t('分租'), value: LEASE_TYPE.minute, type: 'minute', unit: i18n.t('分钟'),sort:1 },
	{ label: i18n.t('周租'), value: LEASE_TYPE.week, type: 'week', unit: i18n.t('周') ,sort:4},
	{ label: i18n.t('季租'), value: LEASE_TYPE.quarter, type: 'quarter', unit: i18n.t('季'),sort:6 },
	{ label: i18n.t('购买'), value: LEASE_TYPE.buy, type: 'buy', unit: i18n.t('买') ,sort:8}
]
export const MAX_LIMITS = {
  4: { max: 24, message: '最多可以选择24小时' },
  5: { max: 60, message: '最多可以选择60分钟' },
  1: { max: 30, message: '最多可以选择30天' },
  2: { max: 12, message: '最多可以选择12个月' },
  6: { max: 4, message: '最多可以选择4周' },
  7: { max: 4, message: '最多可以选择4季度' },
  3: { max: 2, message: '最多可以选择2年' },
};

//不同appid对应不同的首页顶部导航栏字体 门店名字
export const APP_ID_NAME =  [
	{app_name: '小众出行' , img_url: 'https://qiniu.bms16.com/FgUti3mvD9L4U-LzTNF70PP1BI5E', wx_id: 'wx868f4e5130ef2636',ali_id:'2021004109662240'},
	{app_name: '名师傅出行' , img_url: 'https://qiniu.bms16.com/FtApW97AbZn6PLd2IyAojrpKwCrQ', wx_id: 'wx56681a7f2fe324ed',ali_id:'2021004194666931'},
]
